package com.huatek.busi.service;

import com.huatek.busi.dto.SysFileDto;
import com.huatek.busi.vo.RModelVo;
import com.huatek.busi.vo.SysFileVo;
import com.huatek.busi.where.SysFileSelectVo;

import java.io.File;
import java.util.List;
import java.util.Map;

public interface IRModelService {

    void saveOrUpdate(RModelVo rModelVo);

    Map<String, Object> downloadModels(String id);

    Map<String, Object> deleteModels(List<String> ids, String equType);

    Map<String, Object> modelList(SysFileSelectVo sysFileSelectVo);

    int updateByIdsAndEquType(List<String> ids, String eqType);
}
